Human translate (Gengo or Unbabel)
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/humanTranslate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"humanTranslateSettings": {
"id": "<string>"
},
"jobs": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
],
"callbackUrl": "<string>",
"comment": "<string>",
"glossaryId": "<string>",
"usePreferredTranslators": true
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/humanTranslate"
payload = {
"humanTranslateSettings": { "id": "<string>" },
"jobs": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"callbackUrl": "<string>",
"comment": "<string>",
"glossaryId": "<string>",
"usePreferredTranslators": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
humanTranslateSettings: {id: '<string>'},
jobs: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}],
callbackUrl: '<string>',
comment: '<string>',
glossaryId: '<string>',
usePreferredTranslators: true
})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/humanTranslate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asyncRequest": {
"asyncResponse": {
"acceptedSegmentsCount": 123,
"dateCreated": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorDesc": "<string>",
"errorDetails": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
]
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"parent": "<unknown>",
"project": {
"name": "<string>",
"uid": "<string>"
}
}
}Translation
Human translate (Gengo or Unbabel)
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
humanTranslate
Human translate (Gengo or Unbabel)
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Body
application/json
Jobs and human translation settings
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I